Subject: bug#16251: 24.3.50; `icomplete-mode' breaks my file opening now

From: Drew Adams <[email-masked]>
Date: Wed, 25 Dec 2013 09:17:46 -0800 (PST)

> > It seems that something was changed in the icomplete mode code recently
> > that breaks at least my file-finding code.
> 
> What happens if you turn this off: icomplete-show-matches-on-no-input

Yes, thank you!  That removes the problem.

Any idea (without knowing my code) why this makes a huge difference
with my code but not a huge difference with emacs -Q?  IOW, is there
something particular in the new icomplete code to be aware of here?